<div class="main-content pad">
    <div class="container-fluid">
	    <div class="row">
	        <div class="col-md-12">
	            <div class="card">
	            <form name="editForm" role="form" novalidate [formGroup]="editForm">
					<div class="card-body">
						<div class="row">
						    <div class="col-2">
				                <div class="form-group">
				                    <label class="form-control-label" for="field_jenisBayar">Pilih Tahun Ajaran</label>
					                <select class="form-control" id="field_kelas"  name="tahunAjaran" formControlName="tahunAjaran">
					                	<option [ngValue]="null">SEMUA</option>
							            <option [ngValue]="tahunAjaranOption.id === editForm.get('tahunAjaran')!.value?.id ? editForm.get('tahunAjaran')!.value : tahunAjaranOption" *ngFor="let tahunAjaranOption of tahunAjarans;">{{ tahunAjaranOption.nama }}</option>
							        </select>
				                </div>
				            </div>
						    <div class="col-2">
				                <div class="form-group">
				                    <label class="form-control-label" for="field_jenisBayar">Pilih Kelas</label>
					                <select class="form-control" id="field_kelas"  name="kelas" formControlName="kelas">
					                	<option [ngValue]="null">SEMUA</option>
							            <option [ngValue]="kelasOption.id === editForm.get('kelas')!.value?.id ? editForm.get('kelas')!.value : kelasOption" *ngFor="let kelasOption of kelas;">{{ kelasOption.nama }}</option>
							        </select>
				                </div>
				            </div>
						    <div class="col-2">
				                <div class="form-group">
				                    <label class="form-control-label" for="field_jenisBayar">Jenis Tagihan</label>
				                    <select class="form-control" id="field_jenisBayar" name="jenisBayar" formControlName="jenisBayar">
				                        <option [ngValue]="null">SEMUA</option>
				                        <option [ngValue]="jenisPembayaranOption.id === editForm.get('jenisBayar')!.value?.id ? editForm.get('jenisBayar')!.value.jenis : jenisPembayaranOption.jenis" *ngFor="let jenisPembayaranOption of jenispembayarans;">{{ jenisPembayaranOption.jenis }}</option>
				                    </select>
				                </div>
				            </div>
					    	<div class="col-6">
				                <div class="form-group">
						    		<div align="center">
				                        <label class="form-control-label" for="field_nis">&nbsp;</label>
						                <button mat-raised-button type="button" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-success btn-fill">
						                     <i class="material-icons">&nbsp;&nbsp;search</i><span>&nbsp;&nbsp;Cari Laporan</span>
						                </button>
						                <button mat-raised-button type="button" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-success btn-fill">
						                     <i class="material-icons">&nbsp;&nbsp;cloud_download</i><span>&nbsp;&nbsp;Download</span>
						                </button>
									</div>
				                </div>
				            </div>
				        </div>
					</div>
					</form>
	            </div>
	            <div class="card">
	                <div class="card-header card-header-rose card-header-icon">
	                	<div class="row">
		                	<div class="col-md-6">
								<div>&nbsp;</div>
		                		<div><label>&nbsp;BUKU KONTROL</label></div>
								<div><label>&nbsp;PONPES SIRAAJUL UMMAH</label></div>
		                	</div>
		                	<div class="col-md-6">
		                		<div>&nbsp;</div>
								<div><label>Kelas&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:</label></div>
								<div><label>Wali Kelas&nbsp;:</label></div>
		                	</div>
	                	</div>
					</div>
				    <jhi-alert-error></jhi-alert-error>
				    <jhi-alert></jhi-alert>
			
				<div class="card-body">
	            <hr/>
				    <div class="alert alert-warning" *ngIf="reportSyahriah?.length === 0">
			        <span>No report found</span>
			    </div>
			    <div class="material-datatables table-responsive">
			        <table class="table table-bordered table-hover" aria-describedby="page-heading">
			            <thead class="thead-light">
			            <tr>
				            <th scope="col"><span>No</span></th>
				            <th scope="col"><span>Siswa</span></th>
				            <th scope="col" class="text-center"><span>Juli</span></th>
				            <th scope="col" class="text-center"><span>Agust</span></th>
				            <th scope="col" class="text-center"><span>Sept</span></th>
				            <th scope="col" class="text-center"><span>Okto</span></th>
				            <th scope="col" class="text-center"><span>Nov</span></th>
				            <th scope="col" class="text-center"><span>Des</span></th>
				            <th scope="col" class="text-center"><span>Jan</span></th>
				            <th scope="col" class="text-center"><span>Feb</span></th>
				            <th scope="col" class="text-center"><span>Mart</span></th>
				            <th scope="col" class="text-center"><span>April</span></th>
				            <th scope="col" class="text-center"><span>Mei</span></th>
				            <th scope="col" class="text-center"><span>Juni</span></th>
			            </tr>
			            </thead>
			            
			            <tbody>
			            <tr *ngFor="let report of reportSyahriah; let i= index">
			                <td>{{i+1}}</td>
			                <td>
			                	<div>{{report.namaSiswa}}</div>
			               	</td>
                  			<td width="7%">
			                	<div class="text-center">
			                		<span *ngIf="report.juliOn == null">-</span>
				                	<span *ngIf="report.juliOn" style="font-size:0.8vw">
					                	<div>{{report.juli | currency:'Rp.' }}</div>
					                	<div>{{report.juliOn | date:'dd/MM/yy'}}</div>
				                	</span>
				                </div>
		                	</td>
                  			<td width="7%">
			                	<div class="text-center">
			                		<span *ngIf="report.agustusOn == null">-</span>
				                	<span *ngIf="report.agustusOn" style="font-size:0.8vw">
					                	<div>{{report.agustus | currency:'Rp.' }}</div>
					                	<div>{{report.agustusOn | date:'dd/MM/yy'}}</div>
				                	</span>
				                </div>
		                	</td>
                  			<td width="7%">
			                	<div class="text-center">
			                		<span *ngIf="report.septemberOn == null">-</span>
				                	<span *ngIf="report.septemberOn" style="font-size:0.8vw">
					                	<div>{{report.september | currency:'Rp.' }}</div>
					                	<div>{{report.septemberOn | date:'dd/MM/yy'}}</div>
				                	</span>
				                </div>
		                	</td>
                  			<td width="7%">
			                	<div class="text-center">
			                		<span *ngIf="report.oktoberOn == null">-</span>
				                	<span *ngIf="report.oktoberOn" style="font-size:0.8vw">
					                	<div>{{report.oktober | currency:'Rp.' }}</div>
					                	<div>{{report.oktoberOn | date:'dd/MM/yy'}}</div>
				                	</span>
				                </div>
		                	</td>
                  			<td width="7%">
			                	<div class="text-center">
			                		<span *ngIf="report.novemberOn == null">-</span>
				                	<span *ngIf="report.novemberOn" style="font-size:0.8vw">
					                	<div>{{report.november | currency:'Rp.' }}</div>
					                	<div>{{report.novemberOn | date:'dd/MM/yy'}}</div>
				                	</span>
				                </div>
		                	</td>
                  			<td width="7%">
			                	<div class="text-center">
			                		<span *ngIf="report.desemberOn == null">-</span>
				                	<span *ngIf="report.desemberOn" style="font-size:0.8vw">
					                	<div>{{report.desember | currency:'Rp.' }}</div>
					                	<div>{{report.desemberOn | date:'dd/MM/yy'}}</div>
				                	</span>
				                </div>
		                	</td>
                  			<td width="7%">
			                	<div class="text-center">
			                		<span *ngIf="report.januariOn == null">-</span>
				                	<span *ngIf="report.januariOn" style="font-size:0.8vw">
					                	<div>{{report.januari | currency:'Rp.' }}</div>
					                	<div>{{report.januariOn | date:'dd/MM/yy'}}</div>
				                	</span>
				                </div>
				            </td>
                  			<td width="7%">
			                	<div class="text-center">
			                		<span *ngIf="report.februariOn == null">-</span>
				                	<span *ngIf="report.februariOn" style="font-size:0.8vw">
					                	<div>{{report.februari | currency:'Rp.' }}</div>
					                	<div>{{report.februariOn | date:'dd/MM/yy'}}</div>
				                	</span>
				                </div>
		                	</td>
                  			<td width="7%">
			                	<div class="text-center">
			                		<span *ngIf="report.maretOn == null">-</span>
				                	<span *ngIf="report.maretOn" style="font-size:0.8vw">
					                	<div>{{report.maret | currency:'Rp.' }}</div>
					                	<div>{{report.maretOn | date:'dd/MM/yy'}}</div>
				                	</span>
				                </div>
				            </td>
                  			<td width="7%">
			                	<div class="text-center">
			                		<span *ngIf="report.aprilOn == null">-</span>
				                	<span *ngIf="report.aprilOn" style="font-size:0.8vw">
					                	<div>{{report.april | currency:'Rp.' }}</div>
					                	<div>{{report.aprilOn | date:'dd/MM/yy'}}</div>
				                	</span>
				                </div>
		                	</td>
                  			<td width="7%">
			                	<div class="text-center">
			                		<span *ngIf="report.meiOn == null">-</span>
				                	<span *ngIf="report.meiOn" style="font-size:0.8vw">
					                	<div>{{report.mei | currency:'Rp.' }}</div>
					                	<div>{{report.meiOn | date:'dd/MM/yy'}}</div>
				                	</span>
				                </div>
		                	</td>
                  			<td width="7%">
			                	<!-- <div class="text-center">
				                	<span *ngIf="report.juni === null || report.juni === false"><fa-icon [icon]="['fas','times-circle']" style='font-size:20px;color:red' class="justify-content-center"></fa-icon></span>
	                  				<span *ngIf="report.juni !== null"><fa-icon [icon]="['fas','check-circle']" style='font-size:20px;color:green;' class="justify-content-center"></fa-icon></span>
				                </div> -->
			                	<div class="text-center">
			                		<span *ngIf="report.juniOn == null">-</span>
				                	<span *ngIf="report.juniOn" style="font-size:0.8vw">
					                	<div>{{report.juni | currency:'Rp.' }}</div>
					                	<div>{{report.juniOn | date:'dd/MM/yy'}}</div>
				                	</span>
				                </div>
		                	</td>
			            </tr>
			            </tbody>
			        </table>
			    </div>
			    <div>
			        <div class="row justify-content-center">
			            <jhi-item-count [page]="ngbPaginationPage" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
			        </div>
			        <div class="row justify-content-center">
			            <ngb-pagination [collectionSize]="totalItems" [(page)]="ngbPaginationPage" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
			        </div>
			    </div>
			    </div>
					</div>
				</div>
			</div>
		</div>
	</div>
